Codevisor Docs
Api reference

PATCH Projects Id Mcps McpId

PATCH/v1/projects/{id}/mcps/{mcpId}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string
mcpId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name?string|null
enabled?boolean|null
url?string|null
command?string|null
args?array<string>|null
env?|null
headers?|null
removeEnv?array<string>|null
removeHeaders?array<string>|null
authType?|null
bearerToken?string|null
oauthScope?string|null
oauthClientId?string|null
oauthClientSecret?string|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/projects/string/mcps/string" \  -H "Content-Type: application/json" \  -d '{}'
[  {    "id": "string",    "name": "string",    "kind": "managed",    "canEdit": true,    "canRemove": true,    "transport": "http",    "url": "string",    "command": "string",    "args": [      "string"    ],    "headerNames": [      "string"    ],    "environmentNames": [      "string"    ],    "enabled": true,    "authType": "none",    "oauthScope": "string",    "connectionState": "disconnected",    "toolCount": 0,    "detail": "string",    "createdAt": "string",    "updatedAt": "string"  }]
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}